io.vertx.rx.java

## Class HandlerAdapter<T>

- java.lang.Object
- - io.vertx.rx.java.ObservableOnSubscribeAdapter<T>
  - - io.vertx.rx.java.HandlerAdapter<T>

- All Implemented Interfaces:
    Handler<AsyncResult<T>>, Action, Action1<Subscriber<? super T>>, Function, Observable.OnSubscribe<T>

      public class HandlerAdapter<T>
      extends ObservableOnSubscribeAdapter<T>
      implements Handler<AsyncResult<T>>

  Author:
    Julien Viet

- - ### Field Summary

    - ### Fields inherited from class io.vertx.rx.java.ObservableOnSubscribeAdapter

      `subRef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HandlerAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(AsyncResult<T> event)`
    `void` | `handle(AsyncResult<T> event)` Something has happened, so handle it.
    `void` | `onSubscribed()`
    `protected void` | `onUnsubscribed()`

    - ### Methods inherited from class io.vertx.rx.java.ObservableOnSubscribeAdapter

      `call, fireComplete, fireError, fireNext, fireResult, getSubscriber`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HandlerAdapter

          public HandlerAdapter()

  - ### Method Detail

    - #### onSubscribed

          public void onSubscribed()

      Overrides:
        `onSubscribed` in class `ObservableOnSubscribeAdapter<T>`

    - #### handle

          public void handle(AsyncResult<T> event)

      Description copied from interface: `Handler`
      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<AsyncResult<T>>`
      Parameters:
        `event` - the event to handle

    - #### onUnsubscribed

          protected void onUnsubscribed()

      Overrides:
        `onUnsubscribed` in class `ObservableOnSubscribeAdapter<T>`

    - #### dispatch

          protected void dispatch(AsyncResult<T> event)

Copyright © 2023 Eclipse. All rights reserved.